#
# This will make a Windows executable using MinGW
#
# make -f mingw_dingoo_sdl.mak to create SDL build
#
#

APP_NAME = mission_dingoosdl

# compiler

CC = gcc

CFLAGS = -Wall -O3 -std=c99 -fms-extensions -D__GCC__ -D__DINGOO__ -masm=intel -save-temps

LFLAGS = -mwindows -lSDL -Wl,--strip-all

# source files

SRC = fmopl.c m_core.c m_aux.c m_snd.c m_demo.c	m_data.c m_snd_data.c m_scr.c
SRC := $(SRC) m_gfx_dingoosdl.c m_snd_winsdl.c


INC = $(foreach dir, ., $(wildcard $(dir)/*.h))
OBJ = $(patsubst %.c, %.o, $(SRC))

all : $(APP_NAME).exe

$(APP_NAME).exe : $(OBJ)
	$(CC) $(OBJ) $(LFLAGS) -o $(APP_NAME).exe

%.o : %.c $(INC)
	$(CC) -c $(CFLAGS) $< -o $@